Index: /branches/2012/dev_r3337_NOCS10_ICB/NEMOGCM/NEMO/OPA_SRC/ICB/icbrst.F90
===================================================================
--- /branches/2012/dev_r3337_NOCS10_ICB/NEMOGCM/NEMO/OPA_SRC/ICB/icbrst.F90	(revision 3358)
+++ /branches/2012/dev_r3337_NOCS10_ICB/NEMOGCM/NEMO/OPA_SRC/ICB/icbrst.F90	(revision 3359)
@@ -285,121 +287,121 @@
 
          ! Variables
-         iret = NF90_DEF_VAR(ncid, 'lon', NF90_DOUBLE, n_dim, lonid)
-         iret = NF90_DEF_VAR(ncid, 'lat', NF90_DOUBLE, n_dim, latid)
-         iret = NF90_DEF_VAR(ncid, 'xi', NF90_DOUBLE, n_dim, xid)
-         iret = NF90_DEF_VAR(ncid, 'yj', NF90_DOUBLE, n_dim, yid)
-         iret = NF90_DEF_VAR(ncid, 'uvel', NF90_DOUBLE, n_dim, uvelid)
-         iret = NF90_DEF_VAR(ncid, 'vvel', NF90_DOUBLE, n_dim, vvelid)
-         iret = NF90_DEF_VAR(ncid, 'mass', NF90_DOUBLE, n_dim, massid)
-         iret = NF90_DEF_VAR(ncid, 'thickness', NF90_DOUBLE, n_dim, thicknessid)
-         iret = NF90_DEF_VAR(ncid, 'width', NF90_DOUBLE, n_dim, widthid)
-         iret = NF90_DEF_VAR(ncid, 'length', NF90_DOUBLE, n_dim, lengthid)
-         iret = NF90_DEF_VAR(ncid, 'number', NF90_INT, (/k_dim,n_dim/), numberid)
-         iret = NF90_DEF_VAR(ncid, 'year', NF90_INT, n_dim, yearid)
-         iret = NF90_DEF_VAR(ncid, 'day', NF90_DOUBLE, n_dim, dayid)
-         iret = NF90_DEF_VAR(ncid, 'mass_scaling', NF90_DOUBLE, n_dim, scaling_id)
-         iret = NF90_DEF_VAR(ncid, 'mass_of_bits', NF90_DOUBLE, n_dim, mass_of_bits_id)
-         iret = NF90_DEF_VAR(ncid, 'heat_density', NF90_DOUBLE, n_dim, heat_density_id)
+         nret = NF90_DEF_VAR(ncid, 'lon', NF90_DOUBLE, in_dim, nlonid)
+         nret = NF90_DEF_VAR(ncid, 'lat', NF90_DOUBLE, in_dim, nlatid)
+         nret = NF90_DEF_VAR(ncid, 'xi', NF90_DOUBLE, in_dim, nxid)
+         nret = NF90_DEF_VAR(ncid, 'yj', NF90_DOUBLE, in_dim, nyid)
+         nret = NF90_DEF_VAR(ncid, 'uvel', NF90_DOUBLE, in_dim, nuvelid)
+         nret = NF90_DEF_VAR(ncid, 'vvel', NF90_DOUBLE, in_dim, nvvelid)
+         nret = NF90_DEF_VAR(ncid, 'mass', NF90_DOUBLE, in_dim, nmassid)
+         nret = NF90_DEF_VAR(ncid, 'thickness', NF90_DOUBLE, in_dim, nthicknessid)
+         nret = NF90_DEF_VAR(ncid, 'width', NF90_DOUBLE, in_dim, nwidthid)
+         nret = NF90_DEF_VAR(ncid, 'length', NF90_DOUBLE, in_dim, nlengthid)
+         nret = NF90_DEF_VAR(ncid, 'number', NF90_INT, (/ik_dim,in_dim/), numberid)
+         nret = NF90_DEF_VAR(ncid, 'year', NF90_INT, in_dim, nyearid)
+         nret = NF90_DEF_VAR(ncid, 'day', NF90_DOUBLE, in_dim, ndayid)
+         nret = NF90_DEF_VAR(ncid, 'mass_scaling', NF90_DOUBLE, in_dim, nscaling_id)
+         nret = NF90_DEF_VAR(ncid, 'mass_of_bits', NF90_DOUBLE, in_dim, nmass_of_bits_id)
+         nret = NF90_DEF_VAR(ncid, 'heat_density', NF90_DOUBLE, in_dim, nheat_density_id)
 
          ! Attributes
-         iret = NF90_PUT_ATT(ncid, lonid, 'long_name', 'longitude')
-         iret = NF90_PUT_ATT(ncid, lonid, 'units', 'degrees_E')
-         iret = NF90_PUT_ATT(ncid, latid, 'long_name', 'latitude')
-         iret = NF90_PUT_ATT(ncid, latid, 'units', 'degrees_N')
-         iret = NF90_PUT_ATT(ncid, xid, 'long_name', 'x grid box position')
-         iret = NF90_PUT_ATT(ncid, xid, 'units', 'fractional')
-         iret = NF90_PUT_ATT(ncid, yid, 'long_name', 'y grid box position')
-         iret = NF90_PUT_ATT(ncid, yid, 'units', 'fractional')
-         iret = NF90_PUT_ATT(ncid, uvelid, 'long_name', 'zonal velocity')
-         iret = NF90_PUT_ATT(ncid, uvelid, 'units', 'm/s')
-         iret = NF90_PUT_ATT(ncid, vvelid, 'long_name', 'meridional velocity')
-         iret = NF90_PUT_ATT(ncid, vvelid, 'units', 'm/s')
-         iret = NF90_PUT_ATT(ncid, massid, 'long_name', 'mass')
-         iret = NF90_PUT_ATT(ncid, massid, 'units', 'kg')
-         iret = NF90_PUT_ATT(ncid, thicknessid, 'long_name', 'thickness')
-         iret = NF90_PUT_ATT(ncid, thicknessid, 'units', 'm')
-         iret = NF90_PUT_ATT(ncid, widthid, 'long_name', 'width')
-         iret = NF90_PUT_ATT(ncid, widthid, 'units', 'm')
-         iret = NF90_PUT_ATT(ncid, lengthid, 'long_name', 'length')
-         iret = NF90_PUT_ATT(ncid, lengthid, 'units', 'm')
-         iret = NF90_PUT_ATT(ncid, numberid, 'long_name', 'iceberg number on this processor')
-         iret = NF90_PUT_ATT(ncid, numberid, 'units', 'count')
-         iret = NF90_PUT_ATT(ncid, yearid, 'long_name', 'calendar year of calving event')
-         iret = NF90_PUT_ATT(ncid, yearid, 'units', 'years')
-         iret = NF90_PUT_ATT(ncid, dayid, 'long_name', 'year day of calving event')
-         iret = NF90_PUT_ATT(ncid, dayid, 'units', 'days')
-         iret = NF90_PUT_ATT(ncid, scaling_id, 'long_name', 'scaling factor for mass of calving berg')
-         iret = NF90_PUT_ATT(ncid, scaling_id, 'units', 'none')
-         iret = NF90_PUT_ATT(ncid, mass_of_bits_id, 'long_name', 'mass of bergy bits')
-         iret = NF90_PUT_ATT(ncid, mass_of_bits_id, 'units', 'kg')
-         iret = NF90_PUT_ATT(ncid, heat_density_id, 'long_name', 'heat density')
-         iret = NF90_PUT_ATT(ncid, heat_density_id, 'units', 'J/kg')
+         nret = NF90_PUT_ATT(ncid, nlonid, 'long_name', 'longitude')
+         nret = NF90_PUT_ATT(ncid, nlonid, 'units', 'degrees_E')
+         nret = NF90_PUT_ATT(ncid, nlatid, 'long_name', 'latitude')
+         nret = NF90_PUT_ATT(ncid, nlatid, 'units', 'degrees_N')
+         nret = NF90_PUT_ATT(ncid, nxid, 'long_name', 'x grid box position')
+         nret = NF90_PUT_ATT(ncid, nxid, 'units', 'fractional')
+         nret = NF90_PUT_ATT(ncid, nyid, 'long_name', 'y grid box position')
+         nret = NF90_PUT_ATT(ncid, nyid, 'units', 'fractional')
+         nret = NF90_PUT_ATT(ncid, nuvelid, 'long_name', 'zonal velocity')
+         nret = NF90_PUT_ATT(ncid, nuvelid, 'units', 'm/s')
+         nret = NF90_PUT_ATT(ncid, nvvelid, 'long_name', 'meridional velocity')
+         nret = NF90_PUT_ATT(ncid, nvvelid, 'units', 'm/s')
+         nret = NF90_PUT_ATT(ncid, nmassid, 'long_name', 'mass')
+         nret = NF90_PUT_ATT(ncid, nmassid, 'units', 'kg')
+         nret = NF90_PUT_ATT(ncid, nthicknessid, 'long_name', 'thickness')
+         nret = NF90_PUT_ATT(ncid, nthicknessid, 'units', 'm')
+         nret = NF90_PUT_ATT(ncid, nwidthid, 'long_name', 'width')
+         nret = NF90_PUT_ATT(ncid, nwidthid, 'units', 'm')
+         nret = NF90_PUT_ATT(ncid, nlengthid, 'long_name', 'length')
+         nret = NF90_PUT_ATT(ncid, nlengthid, 'units', 'm')
+         nret = NF90_PUT_ATT(ncid, numberid, 'long_name', 'iceberg number on this processor')
+         nret = NF90_PUT_ATT(ncid, numberid, 'units', 'count')
+         nret = NF90_PUT_ATT(ncid, nyearid, 'long_name', 'calendar year of calving event')
+         nret = NF90_PUT_ATT(ncid, nyearid, 'units', 'years')
+         nret = NF90_PUT_ATT(ncid, ndayid, 'long_name', 'year day of calving event')
+         nret = NF90_PUT_ATT(ncid, ndayid, 'units', 'days')
+         nret = NF90_PUT_ATT(ncid, nscaling_id, 'long_name', 'scaling factor for mass of calving berg')
+         nret = NF90_PUT_ATT(ncid, nscaling_id, 'units', 'none')
+         nret = NF90_PUT_ATT(ncid, nmass_of_bits_id, 'long_name', 'mass of bergy bits')
+         nret = NF90_PUT_ATT(ncid, nmass_of_bits_id, 'units', 'kg')
+         nret = NF90_PUT_ATT(ncid, nheat_density_id, 'long_name', 'heat density')
+         nret = NF90_PUT_ATT(ncid, nheat_density_id, 'units', 'J/kg')
 
       ENDIF ! associated(first_berg)
 
       ! End define mode
-      iret = NF90_ENDDEF(ncid)
+      nret = NF90_ENDDEF(ncid)
 
       ! --------------------------------
       ! now write some data
 
-      strt3(1) = 1
-      strt3(2) = 1
-      lngth3(1) = jpi
-      lngth3(2) = jpj
-      lngth3(3) = 1
-
-      DO k=1,nclasses
-         griddata(:,:,1) = berg_grid%stored_ice(:,:,k)
-         strt3(3) = k
-         iret = NF90_PUT_VAR( ncid, siceid, griddata, strt3, lngth3 )
-         IF (iret .ne. NF90_NOERR) THEN
-            IF( lwp ) WRITE(numout,*) TRIM(NF90_STRERROR( iret ))
+      nstrt3(1) = 1
+      nstrt3(2) = 1
+      nlngth3(1) = jpi
+      nlngth3(2) = jpj
+      nlngth3(3) = 1
+
+      DO jn=1,nclasses
+         griddata(:,:,1) = berg_grid%stored_ice(:,:,jn)
+         nstrt3(3) = jn
+         nret = NF90_PUT_VAR( ncid, nsiceid, griddata, nstrt3, nlngth3 )
+         IF (nret .ne. NF90_NOERR) THEN
+            IF( lwp ) WRITE(numout,*) TRIM(NF90_STRERROR( nret ))
             CALL ctl_stop('icebergs, write_restart: nf_put_var stored_ice failed')
          ENDIF
       ENDDO
-      IF( lwp ) WRITE(numout,*) 'file: ',TRIM(filename),' var: stored_ice  written'
-
-      iret = NF90_PUT_VAR( ncid, kountid, kount_bergs(:) )
-      IF (iret .ne. NF90_NOERR) CALL ctl_stop('icebergs, write_restart: nf_put_var kount failed')
-
-      iret = NF90_PUT_VAR( ncid, sheatid, berg_grid%stored_heat(:,:) )
-      IF (iret .ne. NF90_NOERR) CALL ctl_stop('icebergs, write_restart: nf_put_var stored_heat failed')
-      IF( lwp ) WRITE(numout,*) 'file: ',TRIM(filename),' var: stored_heat written'
-
-      iret = NF90_PUT_VAR( ncid, calvid , p_calving(:,:) )
-      IF (iret .ne. NF90_NOERR) CALL ctl_stop('icebergs, write_restart: nf_put_var calving failed')
-      iret = NF90_PUT_VAR( ncid, calvhid, p_calving_hflx(:,:) )
-      IF (iret .ne. NF90_NOERR) CALL ctl_stop('icebergs, write_restart: nf_put_var calving_hflx failed')
-      IF( lwp ) WRITE(numout,*) 'file: ',TRIM(filename),' var: calving written'
+      IF( lwp ) WRITE(numout,*) 'file: ',TRIM(cl_filename),' var: stored_ice  written'
+
+      nret = NF90_PUT_VAR( ncid, nkountid, num_bergs(:) )
+      IF (nret .ne. NF90_NOERR) CALL ctl_stop('icebergs, write_restart: nf_put_var kount failed')
+
+      nret = NF90_PUT_VAR( ncid, nsheatid, berg_grid%stored_heat(:,:) )
+      IF (nret .ne. NF90_NOERR) CALL ctl_stop('icebergs, write_restart: nf_put_var stored_heat failed')
+      IF( lwp ) WRITE(numout,*) 'file: ',TRIM(cl_filename),' var: stored_heat written'
+
+      nret = NF90_PUT_VAR( ncid, ncalvid , src_calving(:,:) )
+      IF (nret .ne. NF90_NOERR) CALL ctl_stop('icebergs, write_restart: nf_put_var calving failed')
+      nret = NF90_PUT_VAR( ncid, ncalvhid, src_calving_hflx(:,:) )
+      IF (nret .ne. NF90_NOERR) CALL ctl_stop('icebergs, write_restart: nf_put_var calving_hflx failed')
+      IF( lwp ) WRITE(numout,*) 'file: ',TRIM(cl_filename),' var: calving written'
 
       IF ( ASSOCIATED(first_berg) ) THEN
 
          ! Write variables
-         ! sga - just write out the current point of the trajectory
+         ! just write out the current point of the trajectory
 
          this => first_berg
-         k = 0
+         jn = 0
          DO WHILE (ASSOCIATED(this))
             pt => this%current_point
-            k=k+1
-
-            iret = NF90_PUT_VAR(ncid, numberid, this%number, (/1,k/), (/nkounts,1/) )
-            iret = NF90_PUT_VAR(ncid, scaling_id, this%mass_scaling, (/ k /) )
-
-            iret = NF90_PUT_VAR(ncid, lonid, pt%lon, (/ k /) )
-            iret = NF90_PUT_VAR(ncid, latid, pt%lat, (/ k /) )
-            iret = NF90_PUT_VAR(ncid, xid, pt%xi, (/ k /) )
-            iret = NF90_PUT_VAR(ncid, yid, pt%yj, (/ k /) )
-            iret = NF90_PUT_VAR(ncid, uvelid, pt%uvel, (/ k /) )
-            iret = NF90_PUT_VAR(ncid, vvelid, pt%vvel, (/ k /) )
-            iret = NF90_PUT_VAR(ncid, massid, pt%mass, (/ k /) )
-            iret = NF90_PUT_VAR(ncid, thicknessid, pt%thickness, (/ k /) )
-            iret = NF90_PUT_VAR(ncid, widthid, pt%width, (/ k /) )
-            iret = NF90_PUT_VAR(ncid, lengthid, pt%length, (/ k /) )
-            iret = NF90_PUT_VAR(ncid, yearid, pt%year, (/ k /) )
-            iret = NF90_PUT_VAR(ncid, dayid, pt%day, (/ k /) )
-            iret = NF90_PUT_VAR(ncid, mass_of_bits_id, pt%mass_of_bits, (/ k /) )
-            iret = NF90_PUT_VAR(ncid, heat_density_id, pt%heat_density, (/ k /) )
+            jn=jn+1
+
+            nret = NF90_PUT_VAR(ncid, numberid, this%number, (/1,jn/), (/nkounts,1/) )
+            nret = NF90_PUT_VAR(ncid, nscaling_id, this%mass_scaling, (/ jn /) )
+
+            nret = NF90_PUT_VAR(ncid, nlonid, pt%lon, (/ jn /) )
+            nret = NF90_PUT_VAR(ncid, nlatid, pt%lat, (/ jn /) )
+            nret = NF90_PUT_VAR(ncid, nxid, pt%xi, (/ jn /) )
+            nret = NF90_PUT_VAR(ncid, nyid, pt%yj, (/ jn /) )
+            nret = NF90_PUT_VAR(ncid, nuvelid, pt%uvel, (/ jn /) )
+            nret = NF90_PUT_VAR(ncid, nvvelid, pt%vvel, (/ jn /) )
+            nret = NF90_PUT_VAR(ncid, nmassid, pt%mass, (/ jn /) )
+            nret = NF90_PUT_VAR(ncid, nthicknessid, pt%thickness, (/ jn /) )
+            nret = NF90_PUT_VAR(ncid, nwidthid, pt%width, (/ jn /) )
+            nret = NF90_PUT_VAR(ncid, nlengthid, pt%length, (/ jn /) )
+            nret = NF90_PUT_VAR(ncid, nyearid, pt%year, (/ jn /) )
+            nret = NF90_PUT_VAR(ncid, ndayid, pt%day, (/ jn /) )
+            nret = NF90_PUT_VAR(ncid, nmass_of_bits_id, pt%mass_of_bits, (/ jn /) )
+            nret = NF90_PUT_VAR(ncid, nheat_density_id, pt%heat_density, (/ jn /) )
 
             this=>this%next
@@ -409,6 +411,6 @@
 
       ! Finish up
-      iret = NF90_CLOSE(ncid)
-      IF (iret .ne. NF90_NOERR) CALL ctl_stop('icebergs, write_restart: nf_close failed')
+      nret = NF90_CLOSE(ncid)
+      IF (nret .ne. NF90_NOERR) CALL ctl_stop('icebergs, write_restart: nf_close failed')
 
    END SUBROUTINE icebergs_write_restart
Index: /branches/2012/dev_r3337_NOCS10_ICB/NEMOGCM/NEMO/OPA_SRC/ICB/icbrun.F90
===================================================================
--- /branches/2012/dev_r3337_NOCS10_ICB/NEMOGCM/NEMO/OPA_SRC/ICB/icbrun.F90	(revision 3358)
+++ /branches/2012/dev_r3337_NOCS10_ICB/NEMOGCM/NEMO/OPA_SRC/ICB/icbrun.F90	(revision 3359)
@@ -39,6 +39,6 @@
    PRIVATE
 
-   PUBLIC   icb_stp        ! routine called in xxx.F90 module
-   PUBLIC   icb_end        ! routine called in xxx.F90 module
+   PUBLIC   icb_stp        ! routine called in sbcmod.F90 module
+   PUBLIC   icb_end        ! routine called in nemogcm.F90 module
 
 CONTAINS
@@ -52,12 +52,12 @@
       !! ** Method  : - blah blah
       !!----------------------------------------------------------------------
-      INTEGER, INTENT( in )           ::  kt
+      INTEGER, INTENT( in )           ::   kt
       !
       INTEGER                         ::   iyr, imon, iday, ihr, imin, isec
-      LOGICAL                         ::   lerr, sample_traj, l_budget, l_verbose
+      LOGICAL                         ::   ll_sample_traj, ll_budget, ll_verbose
       !!----------------------------------------------------------------------
       !! start of timestep housekeeping
 
-      ktberg = kt
+      nktberg = kt
 
       ! read calving data
@@ -65,6 +65,6 @@
          !
          CALL fld_read ( kt, 1, sf_icb )
-         p_calving(:,:)      = sf_icb(1)%fnow(:,:,1)    ! calving in km^3/year (water equivalent)
-         p_calving_hflx(:,:) = 0._wp                    ! NO heat flux for now
+         src_calving(:,:)      = sf_icb(1)%fnow(:,:,1)    ! calving in km^3/year (water equivalent)
+         src_calving_hflx(:,:) = 0._wp                    ! NO heat flux for now
          !
       ENDIF
@@ -87,8 +87,8 @@
       current_yearday = yearday(imon, iday, ihr, imin, isec)
 
-      l_verbose = .FALSE.
+      ll_verbose = .FALSE.
       IF( nn_verbose_write .GT. 0 .AND. &
-          MOD(kt-1,nn_verbose_write ) == 0 ) l_verbose = nn_verbose_level >= 0
-      IF( l_verbose ) WRITE(numicb,9100) iyr, imon, iday, ihr, imin, isec, &
+          MOD(kt-1,nn_verbose_write ) == 0 ) ll_verbose = nn_verbose_level >= 0
+      IF( ll_verbose ) WRITE(numicb,9100) iyr, imon, iday, ihr, imin, isec, &
                                         current_year, current_yearday
  9100 FORMAT('y,m,d=',3i5,' h,m,s=',3i5,' yr,yrdy=',i5,f8.3)
@@ -112,7 +112,7 @@
 
       IF( lk_mpp ) THEN
-                                      CALL mpp_send_bergs ()     ! Send bergs to other PEs
+                                     CALL mpp_send_bergs ()     ! Send bergs to other PEs
       ELSE
-                                      CALL lbc_send_bergs()      ! Deal with any cyclic boundaries in non-mpp case
+                                     CALL lbc_send_bergs()      ! Deal with any cyclic boundaries in non-mpp case
       ENDIF
 
@@ -122,7 +122,7 @@
       !! end of timestep housekeeping
 
-      sample_traj = .FALSE.
-      IF( nn_sample_rate .GT. 0 .AND. MOD(kt-1,nn_sample_rate) == 0 )   sample_traj = .TRUE.
-      IF( sample_traj .AND.   &
+      ll_sample_traj = .FALSE.
+      IF( nn_sample_rate .GT. 0 .AND. MOD(kt-1,nn_sample_rate) == 0 )   ll_sample_traj = .TRUE.
+      IF( ll_sample_traj .AND.   &
           ASSOCIATED(first_berg) )   CALL traj_write    ( kt )  ! For each berg, record trajectory
 
@@ -142,7 +142,7 @@
 
       ! Diagnose budgets
-      l_budget = .FALSE.
-      IF( nn_verbose_write .GT. 0 .AND. MOD(kt-1,nn_verbose_write) == 0 )   l_budget = ln_bergdia
-      CALL icb_budget( l_budget )
+      ll_budget = .FALSE.
+      IF( nn_verbose_write .GT. 0 .AND. MOD(kt-1,nn_verbose_write) == 0 )   ll_budget = ln_bergdia
+      CALL icb_budget( ll_budget )
 
       IF( MOD(kt,nn_stock) == 0 ) THEN
@@ -175,5 +175,7 @@
       DEALLOCATE( ssh_e )
 
-      DEALLOCATE( icbfldpts )
+      DEALLOCATE( nicbfldpts )
+      DEALLOCATE( nicbflddest )
+      DEALLOCATE( nicbfldproc )
 
       IF( lk_mpp ) CALL dealloc_buffers()
@@ -206,6 +208,6 @@
       DEALLOCATE(berg_grid)
 
-      DEALLOCATE(initial_width)
-      DEALLOCATE(initial_length)
+      DEALLOCATE(first_width)
+      DEALLOCATE(first_length)
 
       IF (lwp) WRITE(numout,'(a,i6)') 'icebergs: icb_end complete',narea
